com.smartgwt.client.types

## Enum ListGridViewStatePart

- java.lang.Object
- - java.lang.Enum<ListGridViewStatePart>
  - - com.smartgwt.client.types.ListGridViewStatePart

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ListGridViewStatePart>

      public enum ListGridViewStatePart
      extends java.lang.Enum<ListGridViewStatePart>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` All parts of the view state
    `FIELD` Field state
    `GROUP` Group state
    `HILITE` Hilite state
    `SELECTED` Selected state
    `SORT` Sort state
    `USERCRITERIA` Criteria state

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ListGridViewStatePart` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ListGridViewStatePart[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final ListGridViewStatePart ALL

      All parts of the view state

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "all".

    - #### GROUP

          public static final ListGridViewStatePart GROUP

      Group state

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "group".

    - #### FIELD

          public static final ListGridViewStatePart FIELD

      Field state

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "field".

    - #### SELECTED

          public static final ListGridViewStatePart SELECTED

      Selected state

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "selected".

    - #### SORT

          public static final ListGridViewStatePart SORT

      Sort state

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "sort".

    - #### HILITE

          public static final ListGridViewStatePart HILITE

      Hilite state

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hilite".

    - #### USERCRITERIA

          public static final ListGridViewStatePart USERCRITERIA

      Criteria state

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "userCriteria".

  - ### Method Detail

    - #### values

          public static ListGridViewStatePart[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ListGridViewStatePart c : ListGridViewStatePart.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ListGridViewStatePart valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`